Skip to main content
GET
Get Benchmark Status

Authorizations

Authorization
string
header
required

Your Nugen API key, sent as a Bearer token

Path Parameters

benchmark_id
string
required

ID of the benchmark, returned when it was created

Response

Get the status of a benchmark generation run, including current progress and timestamps for creation and completion

Status and details of one benchmark.

benchmark_id
string
required

Benchmark id

Example:

"benchmark_01k4x9m2p7q3r6a1"

status
enum<string>
required

Benchmark status

Available options:
QUEUED,
PROCESSING,
READY,
FAILED,
STOPPED
Example:

"PROCESSING"

created_at
string<date-time> | null

Timestamp when the benchmark was created

Example:

"2024-01-15T10:30:00Z"

completed_at
string<date-time> | null

Timestamp when generation completed; null while still running

Example:

"2024-01-15T12:30:00Z"

updated_at
string<date-time> | null

Timestamp of the last status change

Example:

"2024-01-15T10:32:45Z"

progress
number | null

Completion progress, 0.0 to 100.0. Not wired up yet, always null.

eta_seconds
integer | null

Estimated time remaining in seconds. Not wired up yet, always null.